
package br.com.cmctransportes.cjm.sascarsoap;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebService(name = "SasIntegraWS", targetNamespace = "http://webservice.web.integracao.sascar.com.br/")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface SasIntegraWS {


    /**
     * 
     * @param novaSenha
     * @param usuario
     * @param senhaAtual
     * @return
     *     returns java.lang.String
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "atualizarSenha", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.AtualizarSenha")
    @ResponseWrapper(localName = "atualizarSenhaResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.AtualizarSenhaResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/atualizarSenhaRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/atualizarSenhaResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/atualizarSenha/Fault/SasIntegraNotification")
    })
    public String atualizarSenha(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senhaAtual", targetNamespace = "")
                    String senhaAtual,
            @WebParam(name = "novaSenha", targetNamespace = "")
                    String novaSenha)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param idCliente
     * @param usuario
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.Cliente>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterClientes", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterClientes")
    @ResponseWrapper(localName = "obterClientesResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterClientesResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterClientesRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterClientesResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterClientes/Fault/SasIntegraNotification")
    })
    public List<Cliente> obterClientes(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade,
            @WebParam(name = "idCliente", targetNamespace = "")
                    Integer idCliente)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idMotorista
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.Motorista>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterMotoristas", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMotoristas")
    @ResponseWrapper(localName = "obterMotoristasResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMotoristasResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMotoristasRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMotoristasResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMotoristas/Fault/SasIntegraNotification")
    })
    public List<Motorista> obterMotoristas(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade,
            @WebParam(name = "idMotorista", targetNamespace = "")
                    Integer idMotorista)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idMotoristaVeiculo
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.MotoristaVeiculo>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterMotoristasVeiculos", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMotoristasVeiculos")
    @ResponseWrapper(localName = "obterMotoristasVeiculosResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMotoristasVeiculosResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMotoristasVeiculosRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMotoristasVeiculosResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMotoristasVeiculos/Fault/SasIntegraNotification")
    })
    public List<MotoristaVeiculo> obterMotoristasVeiculos(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade,
            @WebParam(name = "idMotoristaVeiculo", targetNamespace = "")
                    Long idMotoristaVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.MotoristaVeiculo>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterMotoristasPorVeiculo", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMotoristasPorVeiculo")
    @ResponseWrapper(localName = "obterMotoristasPorVeiculoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMotoristasPorVeiculoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMotoristasPorVeiculoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMotoristasPorVeiculoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMotoristasPorVeiculo/Fault/SasIntegraNotification")
    })
    public List<MotoristaVeiculo> obterMotoristasPorVeiculo(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Long idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.LayoutTecladoVeiculos>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterLayoutTecladoVeiculos", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayoutTecladoVeiculos")
    @ResponseWrapper(localName = "obterLayoutTecladoVeiculosResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayoutTecladoVeiculosResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutTecladoVeiculosRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutTecladoVeiculosResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutTecladoVeiculos/Fault/SasIntegraNotification")
    })
    public List<LayoutTecladoVeiculos> obterLayoutTecladoVeiculos(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.LayoutGrupoPontos>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterLayoutGrupoPontos", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayoutGrupoPontos")
    @ResponseWrapper(localName = "obterLayoutGrupoPontosResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayoutGrupoPontosResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutGrupoPontosRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutGrupoPontosResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutGrupoPontos/Fault/SasIntegraNotification")
    })
    public List<LayoutGrupoPontos> obterLayoutGrupoPontos(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.GrupoAtuador>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterGrupoAtuadores", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterGrupoAtuadores")
    @ResponseWrapper(localName = "obterGrupoAtuadoresResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterGrupoAtuadoresResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterGrupoAtuadoresRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterGrupoAtuadoresResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterGrupoAtuadores/Fault/SasIntegraNotification")
    })
    public List<GrupoAtuador> obterGrupoAtuadores(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param ticket
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.StatusComando>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterStatusComando", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterStatusComando")
    @ResponseWrapper(localName = "obterStatusComandoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterStatusComandoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterStatusComandoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterStatusComandoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterStatusComando/Fault/SasIntegraNotification")
    })
    public List<StatusComando> obterStatusComando(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "ticket", targetNamespace = "")
                    Integer ticket)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param ticket
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.StatusComando>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterStatusComandoTicketSascar", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterStatusComandoTicketSascar")
    @ResponseWrapper(localName = "obterStatusComandoTicketSascarResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterStatusComandoTicketSascarResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterStatusComandoTicketSascarRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterStatusComandoTicketSascarResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterStatusComandoTicketSascar/Fault/SasIntegraNotification")
    })
    public List<StatusComando> obterStatusComandoTicketSascar(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "ticket", targetNamespace = "")
                    Integer ticket)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.TipoComando>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterTipoComando", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterTipoComando")
    @ResponseWrapper(localName = "obterTipoComandoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterTipoComandoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterTipoComandoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterTipoComandoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterTipoComando/Fault/SasIntegraNotification")
    })
    public List<TipoComando> obterTipoComando(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.PacotePosicao>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicoes", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoes")
    @ResponseWrapper(localName = "obterPacotePosicoesResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoes/Fault/SasIntegraNotification")
    })
    public List<PacotePosicao> obterPacotePosicoes(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.PacotePosicao>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicoesComPlaca", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesComPlaca")
    @ResponseWrapper(localName = "obterPacotePosicoesComPlacaResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesComPlacaResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesComPlacaRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesComPlacaResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesComPlaca/Fault/SasIntegraNotification")
    })
    public List<PacotePosicao> obterPacotePosicoesComPlaca(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.PacotePosicao>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicoesMotorista", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesMotorista")
    @ResponseWrapper(localName = "obterPacotePosicoesMotoristaResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesMotoristaResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesMotoristaRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesMotoristaResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesMotorista/Fault/SasIntegraNotification")
    })
    public List<PacotePosicao> obterPacotePosicoesMotorista(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.PacotePosicao>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicoesMotoristaComPlaca", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesMotoristaComPlaca")
    @ResponseWrapper(localName = "obterPacotePosicoesMotoristaComPlacaResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesMotoristaComPlacaResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesMotoristaComPlacaRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesMotoristaComPlacaResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesMotoristaComPlaca/Fault/SasIntegraNotification")
    })
    public List<PacotePosicao> obterPacotePosicoesMotoristaComPlaca(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.PacotePosicao>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicoesRestricao", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesRestricao")
    @ResponseWrapper(localName = "obterPacotePosicoesRestricaoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesRestricaoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesRestricaoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesRestricaoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesRestricao/Fault/SasIntegraNotification")
    })
    public List<PacotePosicao> obterPacotePosicoesRestricao(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.PacotePosicao>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicoesMotoristaRestricao", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesMotoristaRestricao")
    @ResponseWrapper(localName = "obterPacotePosicoesMotoristaRestricaoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesMotoristaRestricaoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesMotoristaRestricaoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesMotoristaRestricaoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesMotoristaRestricao/Fault/SasIntegraNotification")
    })
    public List<PacotePosicao> obterPacotePosicoesMotoristaRestricao(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.PacotePosicaoRFNacional>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicoesRFNacional", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesRFNacional")
    @ResponseWrapper(localName = "obterPacotePosicoesRFNacionalResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesRFNacionalResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesRFNacionalRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesRFNacionalResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesRFNacional/Fault/SasIntegraNotification")
    })
    public List<PacotePosicaoRFNacional> obterPacotePosicoesRFNacional(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param quantidade
     * @return
     *     returns java.util.List<java.lang.String>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicoesJSON", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesJSON")
    @ResponseWrapper(localName = "obterPacotePosicoesJSONResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesJSONResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesJSONRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesJSONResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesJSON/Fault/SasIntegraNotification")
    })
    public List<String> obterPacotePosicoesJSON(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param quantidade
     * @return
     *     returns java.util.List<java.lang.String>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicoesJSONComPlaca", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesJSONComPlaca")
    @ResponseWrapper(localName = "obterPacotePosicoesJSONComPlacaResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesJSONComPlacaResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesJSONComPlacaRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesJSONComPlacaResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesJSONComPlaca/Fault/SasIntegraNotification")
    })
    public List<String> obterPacotePosicoesJSONComPlaca(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param quantidade
     * @return
     *     returns java.util.List<java.lang.String>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicoesMotoristaJSON", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesMotoristaJSON")
    @ResponseWrapper(localName = "obterPacotePosicoesMotoristaJSONResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicoesMotoristaJSONResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesMotoristaJSONRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesMotoristaJSONResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicoesMotoristaJSON/Fault/SasIntegraNotification")
    })
    public List<String> obterPacotePosicoesMotoristaJSON(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param idFinal
     * @param usuario
     * @param idInicio
     * @param quantidade
     * @return
     *     returns java.util.List<java.lang.String>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicaoPorRangeJSON", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicaoPorRangeJSON")
    @ResponseWrapper(localName = "obterPacotePosicaoPorRangeJSONResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicaoPorRangeJSONResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoPorRangeJSONRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoPorRangeJSONResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoPorRangeJSON/Fault/SasIntegraNotification")
    })
    public List<String> obterPacotePosicaoPorRangeJSON(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "idInicio", targetNamespace = "")
                    Long idInicio,
            @WebParam(name = "idFinal", targetNamespace = "")
                    Long idFinal,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param idFinal
     * @param usuario
     * @param idInicio
     * @param quantidade
     * @return
     *     returns java.util.List<java.lang.String>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicaoMotoristaPorRangeJSON", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicaoMotoristaPorRangeJSON")
    @ResponseWrapper(localName = "obterPacotePosicaoMotoristaPorRangeJSONResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicaoMotoristaPorRangeJSONResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoMotoristaPorRangeJSONRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoMotoristaPorRangeJSONResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoMotoristaPorRangeJSON/Fault/SasIntegraNotification")
    })
    public List<String> obterPacotePosicaoMotoristaPorRangeJSON(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "idInicio", targetNamespace = "")
                    Long idInicio,
            @WebParam(name = "idFinal", targetNamespace = "")
                    Long idFinal,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param idFinal
     * @param usuario
     * @param idInicio
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.PacotePosicao>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicaoPorRange", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicaoPorRange")
    @ResponseWrapper(localName = "obterPacotePosicaoPorRangeResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicaoPorRangeResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoPorRangeRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoPorRangeResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoPorRange/Fault/SasIntegraNotification")
    })
    public List<PacotePosicao> obterPacotePosicaoPorRange(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "idInicio", targetNamespace = "")
                    Long idInicio,
            @WebParam(name = "idFinal", targetNamespace = "")
                    Long idFinal,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param idFinal
     * @param usuario
     * @param idInicio
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.PacotePosicao>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicaoMotoristaPorRange", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicaoMotoristaPorRange")
    @ResponseWrapper(localName = "obterPacotePosicaoMotoristaPorRangeResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicaoMotoristaPorRangeResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoMotoristaPorRangeRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoMotoristaPorRangeResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoMotoristaPorRange/Fault/SasIntegraNotification")
    })
    public List<PacotePosicao> obterPacotePosicaoMotoristaPorRange(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "idInicio", targetNamespace = "")
                    Long idInicio,
            @WebParam(name = "idFinal", targetNamespace = "")
                    Long idFinal,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @param dataInicio
     * @param dataFinal
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.PacotePosicao>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicaoHistorico", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicaoHistorico")
    @ResponseWrapper(localName = "obterPacotePosicaoHistoricoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicaoHistoricoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoHistoricoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoHistoricoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoHistorico/Fault/SasIntegraNotification")
    })
    public List<PacotePosicao> obterPacotePosicaoHistorico(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "dataInicio", targetNamespace = "")
                    String dataInicio,
            @WebParam(name = "dataFinal", targetNamespace = "")
                    String dataFinal,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @param dataInicio
     * @param dataFinal
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.PacotePosicao>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacotePosicaoMotoristaHistorico", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicaoMotoristaHistorico")
    @ResponseWrapper(localName = "obterPacotePosicaoMotoristaHistoricoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacotePosicaoMotoristaHistoricoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoMotoristaHistoricoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoMotoristaHistoricoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacotePosicaoMotoristaHistorico/Fault/SasIntegraNotification")
    })
    public List<PacotePosicao> obterPacotePosicaoMotoristaHistorico(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "dataInicio", targetNamespace = "")
                    String dataInicio,
            @WebParam(name = "dataFinal", targetNamespace = "")
                    String dataFinal,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.PacoteLocalizacao>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPacoteLocalizacao", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacoteLocalizacao")
    @ResponseWrapper(localName = "obterPacoteLocalizacaoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPacoteLocalizacaoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacoteLocalizacaoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacoteLocalizacaoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPacoteLocalizacao/Fault/SasIntegraNotification")
    })
    public List<PacoteLocalizacao> obterPacoteLocalizacao(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param tipoTeclado
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.MacroTd50Tmcd>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterMacroTd50Tmcd", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMacroTd50Tmcd")
    @ResponseWrapper(localName = "obterMacroTd50TmcdResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMacroTd50TmcdResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMacroTd50TmcdRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMacroTd50TmcdResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMacroTd50Tmcd/Fault/SasIntegraNotification")
    })
    public List<MacroTd50Tmcd> obterMacroTd50Tmcd(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "tipoTeclado", targetNamespace = "")
                    TipoTeclado tipoTeclado)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param tipoTeclado
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.MacroTd50TmcdDetalhado>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterMacroTd50TmcdDetalhado", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMacroTd50TmcdDetalhado")
    @ResponseWrapper(localName = "obterMacroTd50TmcdDetalhadoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMacroTd50TmcdDetalhadoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMacroTd50TmcdDetalhadoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMacroTd50TmcdDetalhadoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMacroTd50TmcdDetalhado/Fault/SasIntegraNotification")
    })
    public List<MacroTd50TmcdDetalhado> obterMacroTd50TmcdDetalhado(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "tipoTeclado", targetNamespace = "")
                    TipoTeclado tipoTeclado)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param satelital
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.MacroTd40>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterMacroTd40", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMacroTd40")
    @ResponseWrapper(localName = "obterMacroTd40Response", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMacroTd40Response")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMacroTd40Request", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMacroTd40Response", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMacroTd40/Fault/SasIntegraNotification")
    })
    public List<MacroTd40> obterMacroTd40(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "satelital", targetNamespace = "")
                    boolean satelital)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.MacroTms3>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterMacroTms3", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMacroTms3")
    @ResponseWrapper(localName = "obterMacroTms3Response", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMacroTms3Response")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMacroTms3Request", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMacroTms3Response", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMacroTms3/Fault/SasIntegraNotification")
    })
    public List<MacroTms3> obterMacroTms3(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.MascaraDispositivo>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterMascaraDispositivos", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMascaraDispositivos")
    @ResponseWrapper(localName = "obterMascaraDispositivosResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMascaraDispositivosResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMascaraDispositivosRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMascaraDispositivosResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMascaraDispositivos/Fault/SasIntegraNotification")
    })
    public List<MascaraDispositivo> obterMascaraDispositivos(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param layout
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.Layout>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterLayout", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayout")
    @ResponseWrapper(localName = "obterLayoutResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayoutResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayout/Fault/SasIntegraNotification")
    })
    public List<Layout> obterLayout(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "layout", targetNamespace = "")
                    TipoLayout layout)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param layout
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.Layout>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterLayoutData", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayoutData")
    @ResponseWrapper(localName = "obterLayoutDataResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayoutDataResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutDataRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutDataResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutData/Fault/SasIntegraNotification")
    })
    public List<Layout> obterLayoutData(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "layout", targetNamespace = "")
                    TipoLayout layout)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param layout
     * @param senha
     * @param dataReferencia
     * @param usuario
     * @param idLayout
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.LayoutDetalhado>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterLayoutDetalhado", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayoutDetalhado")
    @ResponseWrapper(localName = "obterLayoutDetalhadoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayoutDetalhadoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutDetalhadoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutDetalhadoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutDetalhado/Fault/SasIntegraNotification")
    })
    public List<LayoutDetalhado> obterLayoutDetalhado(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "layout", targetNamespace = "")
                    TipoLayout layout,
            @WebParam(name = "idLayout", targetNamespace = "")
                    Integer idLayout,
            @WebParam(name = "dataReferencia", targetNamespace = "")
                    String dataReferencia)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.Veiculo>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterVeiculos", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterVeiculos")
    @ResponseWrapper(localName = "obterVeiculosResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterVeiculosResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterVeiculosRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterVeiculosResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterVeiculos/Fault/SasIntegraNotification")
    })
    public List<Veiculo> obterVeiculos(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.LayoutGrupoAreaAvd>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterLayoutAreaAvd", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayoutAreaAvd")
    @ResponseWrapper(localName = "obterLayoutAreaAvdResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayoutAreaAvdResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutAreaAvdRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutAreaAvdResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutAreaAvd/Fault/SasIntegraNotification")
    })
    public List<LayoutGrupoAreaAvd> obterLayoutAreaAvd(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.Veiculo>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterVeiculosRFNacional", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterVeiculosRFNacional")
    @ResponseWrapper(localName = "obterVeiculosRFNacionalResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterVeiculosRFNacionalResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterVeiculosRFNacionalRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterVeiculosRFNacionalResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterVeiculosRFNacional/Fault/SasIntegraNotification")
    })
    public List<Veiculo> obterVeiculosRFNacional(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @param quantidade
     * @return
     *     returns java.util.List<java.lang.String>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterVeiculosJson", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterVeiculosJson")
    @ResponseWrapper(localName = "obterVeiculosJsonResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterVeiculosJsonResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterVeiculosJsonRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterVeiculosJsonResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterVeiculosJson/Fault/SasIntegraNotification")
    })
    public List<String> obterVeiculosJson(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.PontoReferencia>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterPontosReferencia", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPontosReferencia")
    @ResponseWrapper(localName = "obterPontosReferenciaResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterPontosReferenciaResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPontosReferenciaRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPontosReferenciaResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterPontosReferencia/Fault/SasIntegraNotification")
    })
    public List<PontoReferencia> obterPontosReferencia(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.SequenciamentoEvento>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterSequenciamentoEvento", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterSequenciamentoEvento")
    @ResponseWrapper(localName = "obterSequenciamentoEventoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterSequenciamentoEventoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterSequenciamentoEventoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterSequenciamentoEventoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterSequenciamentoEvento/Fault/SasIntegraNotification")
    })
    public List<SequenciamentoEvento> obterSequenciamentoEvento(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @return
     *     returns br.com.cmctransportes.cjm.sascarsoap.Mensagem
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterMensagemPortal", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMensagemPortal")
    @ResponseWrapper(localName = "obterMensagemPortalResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterMensagemPortalResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMensagemPortalRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMensagemPortalResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterMensagemPortal/Fault/SasIntegraNotification")
    })
    public Mensagem obterMensagemPortal(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @return
     *     returns br.com.cmctransportes.cjm.sascarsoap.Telemetria
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterTelemetriaPortal", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterTelemetriaPortal")
    @ResponseWrapper(localName = "obterTelemetriaPortalResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterTelemetriaPortalResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterTelemetriaPortalRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterTelemetriaPortalResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterTelemetriaPortal/Fault/SasIntegraNotification")
    })
    public Telemetria obterTelemetriaPortal(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param latitude
     * @param usuario
     * @param longitude
     * @return
     *     returns br.com.cmctransportes.cjm.sascarsoap.EnderecoPosicao
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterEnderecoPosicao", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterEnderecoPosicao")
    @ResponseWrapper(localName = "obterEnderecoPosicaoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterEnderecoPosicaoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterEnderecoPosicaoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterEnderecoPosicaoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterEnderecoPosicao/Fault/SasIntegraNotification")
    })
    public EnderecoPosicao obterEnderecoPosicao(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "latitude", targetNamespace = "")
                    String latitude,
            @WebParam(name = "longitude", targetNamespace = "")
                    String longitude)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @return
     *     returns boolean
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "verificarVeiculoIntegrado", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.VerificarVeiculoIntegrado")
    @ResponseWrapper(localName = "verificarVeiculoIntegradoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.VerificarVeiculoIntegradoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/verificarVeiculoIntegradoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/verificarVeiculoIntegradoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/verificarVeiculoIntegrado/Fault/SasIntegraNotification")
    })
    public boolean verificarVeiculoIntegrado(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.LayoutAcaoEmbarcadaAVD>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterLayoutAcaoEmbarcadaAVD", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayoutAcaoEmbarcadaAVD")
    @ResponseWrapper(localName = "obterLayoutAcaoEmbarcadaAVDResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterLayoutAcaoEmbarcadaAVDResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutAcaoEmbarcadaAVDRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutAcaoEmbarcadaAVDResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterLayoutAcaoEmbarcadaAVD/Fault/SasIntegraNotification")
    })
    public List<LayoutAcaoEmbarcadaAVD> obterLayoutAcaoEmbarcadaAVD(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @param pontosRef
     * @return
     *     returns br.com.cmctransportes.cjm.sascarsoap.LogComando
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "comandoEmbarquePontoDiario", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ComandoEmbarquePontoDiario")
    @ResponseWrapper(localName = "comandoEmbarquePontoDiarioResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ComandoEmbarquePontoDiarioResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/comandoEmbarquePontoDiarioRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/comandoEmbarquePontoDiarioResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/comandoEmbarquePontoDiario/Fault/SasIntegraNotification")
    })
    public LogComando comandoEmbarquePontoDiario(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo,
            @WebParam(name = "pontosRef", targetNamespace = "")
                    String pontosRef)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.TipoEventoTelemetriaDescricao>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterEventoTelemetriaDescricao", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterEventoTelemetriaDescricao")
    @ResponseWrapper(localName = "obterEventoTelemetriaDescricaoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterEventoTelemetriaDescricaoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterEventoTelemetriaDescricaoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterEventoTelemetriaDescricaoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterEventoTelemetriaDescricao/Fault/SasIntegraNotification")
    })
    public List<TipoEventoTelemetriaDescricao> obterEventoTelemetriaDescricao(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param idEventoList
     * @param usuario
     * @param idVeiculo
     * @param dataInicio
     * @param dataFinal
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.EventoTelemetria>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterEventoTelemetriaIntegracao", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterEventoTelemetriaIntegracao")
    @ResponseWrapper(localName = "obterEventoTelemetriaIntegracaoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterEventoTelemetriaIntegracaoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterEventoTelemetriaIntegracaoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterEventoTelemetriaIntegracaoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterEventoTelemetriaIntegracao/Fault/SasIntegraNotification")
    })
    public List<EventoTelemetria> obterEventoTelemetriaIntegracao(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "dataInicio", targetNamespace = "")
                    String dataInicio,
            @WebParam(name = "dataFinal", targetNamespace = "")
                    String dataFinal,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo,
            @WebParam(name = "idEventoList", targetNamespace = "")
                    List<Integer> idEventoList)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @param dataInicio
     * @param dataFinal
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.DeltaTelemetria>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterDeltaTelemetriaIntegracao", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterDeltaTelemetriaIntegracao")
    @ResponseWrapper(localName = "obterDeltaTelemetriaIntegracaoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterDeltaTelemetriaIntegracaoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterDeltaTelemetriaIntegracaoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterDeltaTelemetriaIntegracaoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterDeltaTelemetriaIntegracao/Fault/SasIntegraNotification")
    })
    public List<DeltaTelemetria> obterDeltaTelemetriaIntegracao(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "dataInicio", targetNamespace = "")
                    String dataInicio,
            @WebParam(name = "dataFinal", targetNamespace = "")
                    String dataFinal,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param telemetriaParametrizacao
     * @param usuario
     * @param idVeiculo
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.ComandoTelemetriaRetorno>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "enviarParametrizacaoTelemetria", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.EnviarParametrizacaoTelemetria")
    @ResponseWrapper(localName = "enviarParametrizacaoTelemetriaResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.EnviarParametrizacaoTelemetriaResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/enviarParametrizacaoTelemetriaRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/enviarParametrizacaoTelemetriaResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/enviarParametrizacaoTelemetria/Fault/SasIntegraNotification")
    })
    public List<ComandoTelemetriaRetorno> enviarParametrizacaoTelemetria(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo,
            @WebParam(name = "telemetriaParametrizacao", targetNamespace = "")
                    TelemetriaConfiguracao telemetriaParametrizacao)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param idVeiculo
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.DadosAdicionais>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterDadosAdicionais", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterDadosAdicionais")
    @ResponseWrapper(localName = "obterDadosAdicionaisResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterDadosAdicionaisResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterDadosAdicionaisRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterDadosAdicionaisResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterDadosAdicionais/Fault/SasIntegraNotification")
    })
    public List<DadosAdicionais> obterDadosAdicionais(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    Integer idVeiculo)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param dataFim
     * @param usuario
     * @param idMotorista
     * @param dataInicio
     * @param quantidade
     * @return
     *     returns java.util.List<br.com.cmctransportes.cjm.sascarsoap.EventoTempoDirecao>
     * @throws SasIntegraNotification
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterEventosTempoDirecao", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterEventosTempoDirecao")
    @ResponseWrapper(localName = "obterEventosTempoDirecaoResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.ObterEventosTempoDirecaoResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterEventosTempoDirecaoRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterEventosTempoDirecaoResponse", fault = {
        @FaultAction(className = SasIntegraNotification.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/obterEventosTempoDirecao/Fault/SasIntegraNotification")
    })
    public List<EventoTempoDirecao> obterEventosTempoDirecao(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "quantidade", targetNamespace = "")
                    Integer quantidade,
            @WebParam(name = "idMotorista", targetNamespace = "")
                    Integer idMotorista,
            @WebParam(name = "dataInicio", targetNamespace = "")
                    String dataInicio,
            @WebParam(name = "dataFim", targetNamespace = "")
                    String dataFim)
        throws SasIntegraNotification
    ;

    /**
     * 
     * @param senha
     * @param dataPosicaoFinal
     * @param ticket
     * @param usuario
     * @param idVeiculo
     * @param dataPosicaoInicial
     * @param placa
     * @return
     *     returns java.lang.String
     * @throws Exception_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "solicitarEventosCaixaPreta", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.SolicitarEventosCaixaPreta")
    @ResponseWrapper(localName = "solicitarEventosCaixaPretaResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.SolicitarEventosCaixaPretaResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/solicitarEventosCaixaPretaRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/solicitarEventosCaixaPretaResponse", fault = {
        @FaultAction(className = Exception_Exception.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/solicitarEventosCaixaPreta/Fault/Exception")
    })
    public String solicitarEventosCaixaPreta(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    String idVeiculo,
            @WebParam(name = "placa", targetNamespace = "")
                    String placa,
            @WebParam(name = "dataPosicaoInicial", targetNamespace = "")
                    String dataPosicaoInicial,
            @WebParam(name = "dataPosicaoFinal", targetNamespace = "")
                    String dataPosicaoFinal,
            @WebParam(name = "ticket", targetNamespace = "")
                    String ticket)
        throws Exception_Exception
    ;

    /**
     * 
     * @param senha
     * @param dataPosicao
     * @param usuario
     * @param idVeiculo
     * @param placa
     * @return
     *     returns br.com.cmctransportes.cjm.sascarsoap.CaixaPretaList
     * @throws Exception_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "recuperarEventosCaixaPreta", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.RecuperarEventosCaixaPreta")
    @ResponseWrapper(localName = "recuperarEventosCaixaPretaResponse", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", className = "br.com.cmctransportes.cjm.sascarsoap.RecuperarEventosCaixaPretaResponse")
    @Action(input = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/recuperarEventosCaixaPretaRequest", output = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/recuperarEventosCaixaPretaResponse", fault = {
        @FaultAction(className = Exception_Exception.class, value = "http://webservice.web.integracao.sascar.com.br/SasIntegraWS/recuperarEventosCaixaPreta/Fault/Exception")
    })
    public CaixaPretaList recuperarEventosCaixaPreta(
            @WebParam(name = "usuario", targetNamespace = "")
                    String usuario,
            @WebParam(name = "senha", targetNamespace = "")
                    String senha,
            @WebParam(name = "placa", targetNamespace = "")
                    String placa,
            @WebParam(name = "idVeiculo", targetNamespace = "")
                    String idVeiculo,
            @WebParam(name = "dataPosicao", targetNamespace = "")
                    String dataPosicao)
        throws Exception_Exception
    ;

}
